# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXExtractInteger

Function

Determines whether an Object can be converted to an integer, and if so, extracts it.

Syntax
`
#include <dx/dx.h>
`

Object DXExtractInteger(Object o, int *ip)

Functional Details

If Object `o` can be converted into an integer (i.e., `TYPE_INT`, `CATEGORY_REAL`, rank 0), this routine extracts the integer value and places it in `*ip`.

Return Value

Returns `o` and sets `ip` if an integer can be extracted from `o`; otherwise, returns `NULL` without setting an error code.

See Also

`DXExtractFloat, DXExtractNthString, DXExtractParameter, DXExtractString, DXQueryArrayConvert, DXQueryArrayConvertV, DXQueryParameter`

12.8 , "Extracting Module Parameters".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]